List environments
curl --request GET \
--url https://api.replicas.dev/v1/environments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.replicas.dev/v1/environments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.replicas.dev/v1/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replicas.dev/v1/environments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.replicas.dev/v1/environments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.replicas.dev/v1/environments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replicas.dev/v1/environments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"environments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"repository_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"inherit_repositories": true,
"system_prompt": "<string>",
"personal_preferences": "<string>",
"source_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"variable_count": 123,
"file_count": 123,
"skill_count": 123,
"mcp_count": 123,
"access": {
"can_write": true,
"can_read": true
},
"status": {
"state": "ready",
"phase": "waiting",
"apply_after": "2023-11-07T05:31:56Z",
"live_since": "2023-11-07T05:31:56Z",
"first_setup": true,
"changes": [
{
"kind": "repositories",
"key": "<string>",
"op": "created",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"failure": {
"build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "hook",
"message": "<string>",
"failed_at": "2023-11-07T05:31:56Z",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exit_code": 123,
"cause": {
"kind": "timeout",
"summary": "<string>",
"fix": "<string>",
"line": "<string>"
},
"log_tail": [
"<string>"
]
},
"skipped_skill_sources": [
"<string>"
]
}
}
]
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}Environments
List environments
Lists environments you can use.
GET
/
v1
/
environments
List environments
curl --request GET \
--url https://api.replicas.dev/v1/environments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.replicas.dev/v1/environments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.replicas.dev/v1/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.replicas.dev/v1/environments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.replicas.dev/v1/environments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.replicas.dev/v1/environments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.replicas.dev/v1/environments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"environments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"repository_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"inherit_repositories": true,
"system_prompt": "<string>",
"personal_preferences": "<string>",
"source_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"variable_count": 123,
"file_count": 123,
"skill_count": 123,
"mcp_count": 123,
"access": {
"can_write": true,
"can_read": true
},
"status": {
"state": "ready",
"phase": "waiting",
"apply_after": "2023-11-07T05:31:56Z",
"live_since": "2023-11-07T05:31:56Z",
"first_setup": true,
"changes": [
{
"kind": "repositories",
"key": "<string>",
"op": "created",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"failure": {
"build_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "hook",
"message": "<string>",
"failed_at": "2023-11-07T05:31:56Z",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exit_code": 123,
"cause": {
"kind": "timeout",
"summary": "<string>",
"fix": "<string>",
"line": "<string>"
},
"log_tail": [
"<string>"
]
},
"skipped_skill_sources": [
"<string>"
]
}
}
]
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}Authorizations
Headers
API version. 2026-10-07 returns snake_case responses. See versioning.
Available options:
2026-10-07 Query Parameters
⌘I